## twin-style-dekorator-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( twin-style-dekorator )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( client )
add_subdirectory( themes )


##### other data

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Aug 2021 12:46:29 +0200

twin-style-dekorator-trinity (0.3-2) unstable; urgency=low

  * Initial release for TDE

 -- Mavridis Philippe <mavridisf@gmail.com>  Fri, 30 Jul 2021 12:35:19 +0900

kwin-style-dekorator (0.3-1) unstable; urgency=low

  * Initial release (Closes: #374869)

 -- Sune Vuorela <debian@pusling.com>  Wed, 21 Jun 2006 20:04:02 +0200

## twin-style-dekorator-trinity 14.0.12

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Jan 2022 14:55:19 +0100

## twin-style-dekorator-trinity 14.0.13

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.0.13-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Sep 2022 22:35:19 +0200

=== debian/control ===
Source: twin-style-dekorator-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdebase-trinity-dev
Standards-Version: 3.7.2

Package: twin-style-dekorator-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window decorations for TDE using user-supplied PNG files
 Make your own window decorations easy with deKorator.
 Dekorator uses your own made images for buttons, borders
 and so on, so go ahead and be creative.
 .
 This is a window decoration, not a style

## twin-style-dekorator-trinity 14.1.0

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## twin-style-dekorator-trinity 14.1.1

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 15:09:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdebase-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev
 Standards-Version: 3.7.2
 
 Package: twin-style-dekorator-trinity

## twin-style-dekorator-trinity 14.1.2

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:37 +0200

## twin-style-dekorator-trinity 14.1.3

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:48:07 +0200

## twin-style-dekorator-trinity 14.1.4

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## twin-style-dekorator-trinity 14.1.5~pre1

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 630590d052e483cb6a0b0e9725480689af5e1621
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## twin-style-dekorator-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( twin-style-dekorator )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )

=== client/CMakeLists.txt ===
tde_import( twin )

add_subdirectory( config )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### twin3_deKorator (kpart)

tde_add_kpart( twin3_deKorator AUTOMOC

  SOURCES
        deKoratorclient.cpp
        myrootpixmap.cpp
        imageholder.cpp
        shadow.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdecorations-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE deKorator.desktop
    DESTINATION ${DATA_INSTALL_DIR}/twin
)

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.5-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev
 Standards-Version: 3.7.2
 
 Package: twin-style-dekorator-trinity

## twin-style-dekorator-trinity 14.1.6~pre0

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 630590d052e483cb6a0b0e9725480689af5e1621
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## twin-style-dekorator-trinity 14.1.6~pre1

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2f5a393e4a0f24462abb7880b9af1524bf613ce8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:16:58 +0100

## twin-style-dekorator-trinity 14.2.0~pre54

=== client/CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,9 @@
 )
 
 
-##### twin3_deKorator (kpart)
+##### twin_deKorator (kpart)
 
-tde_add_kpart( twin3_deKorator AUTOMOC
+tde_add_kpart( twin_deKorator AUTOMOC
 
   SOURCES
         deKoratorclient.cpp

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.2.0~pre54-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 28ae3e655186b67807282bab4d796a768e1acdb2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## twin-style-dekorator-trinity 14.2.0~pre55

=== debian/changelog ===
twin-style-dekorator-trinity (4:14.2.0~pre55-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ccfbd3436ba6f237419cb4158a67393268bdf575
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#twin-style-dekorator

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:12:44 +0100
